ICU 77.1: Data Fields

ICU 77.1 77.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- a : UText
- access : UTextFuncs
- add() : icu::BytesTrieBuilder , icu::Calendar , icu::FontRuns , icu::LocaleRuns , icu::message2::data_model::Pattern::Builder , icu::message2::data_model::SelectorKeys::Builder , icu::RunArray , icu::UCharsTrieBuilder , icu::UnicodeSet , icu::ValueRuns
- addAll() : icu::UnicodeSet
- addAttribute() : icu::message2::data_model::Expression::Builder , icu::message2::data_model::Markup::Builder
- addBinding() : icu::message2::MFDataModel::Builder
- addLabels() : icu::AlphabeticIndex
- addLikelySubtags() : icu::Locale
- addMatchSetTo() : icu::UnicodeMatcher , icu::UnicodeSet
- addMetaZone() : icu::TimeZoneNames::MatchInfoCollection
- addOption() : icu::message2::data_model::Markup::Builder , icu::message2::data_model::Operator::Builder
- addPattern() : icu::DateTimePatternGenerator
- addRecord() : icu::AlphabeticIndex
- addReplace() : icu::Edits
- addReplacementSetTo() : icu::UnicodeReplacer
- addSelector() : icu::message2::MFDataModel::Builder
- addSupportedLocale() : icu::LocaleMatcher::Builder
- addTransitionRule() : icu::RuleBasedTimeZone
- addUnchanged() : icu::Edits
- addUnicodeLocaleAttribute() : icu::LocaleBuilder
- addVariant() : icu::message2::MFDataModel::Builder
- addZone() : icu::TimeZoneNames::MatchInfoCollection
- adoptArray() : icu::Formattable
- adoptCalendar() : icu::DateFormat , icu::SimpleDateFormat
- adoptCurrencyPluralInfo() : icu::DecimalFormat
- adoptDateFormatSymbols() : icu::SimpleDateFormat
- adoptDecimalFormatSymbols() : icu::DecimalFormat , icu::RuleBasedNumberFormat
- adoptDecimalQuantity() : icu::Formattable
- adoptDefault() : icu::TimeZone
- adoptFilter() : icu::Transliterator
- adoptFormat() : icu::MessageFormat
- adoptFormats() : icu::MessageFormat
- adoptFormatter() : icu::message2::MFFunctionRegistry::Builder
- adoptFrom() : icu::TimeZoneTransition
- adoptInstead() : icu::LocalArray< T > , icu::LocalPointer< T > , icu::LocalPointerBase< T >
- adoptInsteadAndCheckErrorCode() : icu::LocalArray< T > , icu::LocalPointer< T >
- adoptNumberFormat() : icu::DateFormat , icu::MeasureFormat , icu::SimpleDateFormat
- adoptObject() : icu::Formattable
- adoptPerUnit() : icu::number::NumberFormatterSettings< Derived >
- adoptSelector() : icu::message2::MFFunctionRegistry::Builder
- adoptString() : icu::Formattable
- adoptSymbols() : icu::number::NumberFormatterSettings< Derived >
- adoptText() : icu::BreakIterator , icu::RuleBasedBreakIterator
- adoptTimeZone() : icu::Calendar , icu::DateFormat , icu::DateIntervalFormat
- adoptTimeZoneFormat() : icu::SimpleDateFormat
- adoptTimeZoneNames() : icu::TimeZoneFormat
- adoptTo() : icu::TimeZoneTransition
- adoptUnit() : icu::number::NumberFormatterSettings< Derived >
- affixProvider : icu::number::impl::MacroProps
- after() : icu::Calendar
- AlphabeticIndex() : icu::AlphabeticIndex
- ALTERNATE_TIME_SEPARATOR : icu::DateFormatSymbols
- AnnualTimeZoneRule() : icu::AnnualTimeZoneRule
- Append() : icu::ByteSink , icu::CheckedArrayByteSink
- append() : icu::FilteredNormalizer2 , icu::Normalizer2
- Append() : icu::StringByteSink< StringClass >
- append() : icu::UnicodeString
- appendCodePoint() : icu::Appendable , icu::UnicodeStringAppendable
- appendCodeUnit() : icu::Appendable , icu::UnicodeStringAppendable
- appendReplacement() : icu::RegexMatcher
- appendString() : icu::Appendable , icu::UnicodeStringAppendable
- appendTail() : icu::RegexMatcher
- appendTo() : icu::FormattedDateInterval , icu::FormattedList , icu::FormattedRelativeDateTime , icu::FormattedValue , icu::message2::FormattedMessage , icu::number::FormattedNumber , icu::number::FormattedNumberRange
- AppendU8() : icu::ByteSink
- applyIntPropertyValue() : icu::UnicodeSet
- applyLocalizedPattern() : icu::DecimalFormat , icu::SimpleDateFormat
- applyPattern() : icu::ChoiceFormat , icu::DecimalFormat , icu::MessageFormat , icu::PluralFormat , icu::SelectFormat , icu::SimpleDateFormat , icu::SimpleFormatter , icu::UnicodeSet
- applyPatternMinMaxArguments() : icu::SimpleFormatter
- applyPropertyAlias() : icu::UnicodeSet
- approximately : icu::number::impl::MacroProps
- areSignificantDigitsUsed() : icu::DecimalFormat
- array : USerializedSet
- asFormattable() : icu::message2::FormattedPlaceholder
- asICUFormattable() : icu::message2::Formattable
- asLiteral() : icu::message2::data_model::Key , icu::message2::data_model::Operand
- asMarkup() : icu::message2::data_model::PatternPart
- assertSuccess() : icu::ErrorCode
- asText() : icu::message2::data_model::PatternPart
- asVariable() : icu::message2::data_model::Operand
- autoQuoteApostrophe() : icu::MessageFormat
- autoQuoteApostropheDeep() : icu::MessagePattern